Søg i Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Am using a Mac Pro A1186 with OS X 10.5, which version of Firefox do I need please.

  • 1 svar
  • 2 har dette problem
  • 9 visninger
  • Seneste svar af Shadow110

more options

Unsure of the version of Firefox I need for my Mac Pro A1186 using OS X 10.5

Alle svar (1)

more options

Hi, https://support.mozilla.org/en-US/kb/firefox-osx you would need : 52.7.2ESR https://www.mozilla.org/en-US/firefox/organizations/all/ NOTE : Firefox 52.9.0esr out on June 26 (same time as 60.1.0esr) will be the last major update for Firefox 52 ESR apart from any 52.9.x esr updates for security or allowed stability fixes.

Firefox 60.2.0esr will be out Aug 21 and Firefox 52 ESR will be EOL then. So people will have to upgrade to 60.2.0esr to keep getting security updates if they have not manually upgraded to 60.x.o ESR already. Firefox 60 ESR will require Windows 7, 8, 10. Have no idea for MAC, sorry.

Please let us know if this solved your issue or if need further assistance.